This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 209041 - Handling of -i -f is inconsistent
Handling of -i -f is inconsistent
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-02 22:39 EDT by Horst H. von Brand
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-03 04:34:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2006-10-02 22:39:09 EDT
Description of problem:
"mv -i -f" overwrites the destination, no questions asked.
"cp -i -f" asks if it should overwrite.

The handling of -f is inconsistent in coreutils. Yes, this is documented this
way. But it is irritating anyway. Particularly with the aliases set up by Fedora
as default.

Version-Release number of selected component (if applicable):
coreutils-5.97-11

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2006-10-03 04:34:40 EDT
The behaviour of these flags (and this difference between cp and mv) is
specified by POSIX.

Note You need to log in before you can comment on or make changes to this bug.